Arch: SectionPlane

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Arch SectionPlane and the translation is 54% complete.

Outdated translations are marked like this.
Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎日本語 • ‎română • ‎русский • ‎svenska • ‎Türkçe • ‎українська
Arrow-left.svg Previous: Arch Window.svg Window

Arch SectionPlane.svg Arch SectionPlane

Menu location
Arch → Section Plane
Workbenches
Arch
Default shortcut
S P
Introduced in version
-
See also
None

Descriere

Acest instrumetn plasează în documentul curent un plan de secțiune gizmo, care definește secțiunea sau planul de vizualizare. Gizmo își ia locul în conformitate cu planul de lucru Draft Work Plan și poate fi mutat și reorientat prin mutarea și rotirea acestuia, până când descrie vizualizarea 2D pe care doriți să o obțineți. Obiectul plan de secțiune va lua în considerare numai un anumit set de obiecte. Obiectele selectate la crearea unei planuri de secțiune vor fi adăugate la setarea automată. Alte obiecte pot fi adăugate sau eliminate mai târziu dintr-un obiect SectionPlane cu ajutorul instrumentelor Arch Add și Remove Arch sau prin dublu clic pe planul de secțiuni din vizualizarea arborescentă.

Planul de secțiune singur nu va crea nici o vizualizare a setului său de obiecte. Pentru aceasta, trebuie să creați un Drawing DraftView pentru a crea o vizualizare în Drawing page, un Shape2DView pentru a crea o vizualizare în documentul 3D sau un TechDraw ArchView pentru a crea o vizualizare într-o TechDraw page.

Arch SectionPlane example.jpg

Cum se folosește

  1. Optional, definiți Draft Working Plane pentru a reflecta planul unde dirți să plasați Section Plane
  2. Selectați obiecte pe care doriți să le includeți în vizualizarea secțiunii dvs
  3. Apăsați butonul Arch SectionPlane.png SectionPlane sau apăsați tastele S apoi P
  4. Move/rotate the Section Plane into correct position if needed
  5. Selectați Section Plane dacă nu este deja selectați
  6. Folosiți sau Drawing DraftView, Draft Shape2DView sau TechDraw ArchView pentru a crea o vizualizare

Opţiuni

  • Planul de secțiune va considera doar un set de obiece , nu toate obiectele din document. Obiectele pot fi adăugate sau eliminate dintr-un obiect SectionPlane utilizând instrumentele Arch Add și Arch Remove sau făcând dublu clic pe planul de secțiuni din vizualizarea arborescentă, selectând obiecte fie în lista din Scena 3D și apăsarea butonului adăuga sau ștergeți.
  • Cu un plan de secțiune obiect selectat, utilizați instrumentul Draft Shape2DView pentru a crea un obiect tip formă reprezentând vizualizarea secțiunii în document

Arch Section example2.jpg

Arch Section example3.jpg

  • Planul secțiunii poate fi, de asemenea, utilizat pentru a arăta întreaga vedere 3D tăiată printr-un plan infinit. Aceasta este doar vizuală și nu va afecta geometria obiectelor tăiate.

Arch SectionPlane CutView.jpg

Proprietăți

  • DATAOnly Solids: If this is True, non-solid objects in the set will be disregarded
  • VIEWDisplay Length: The length of the section plane gizmo in the 3D view. Doesn't affect the resulting view
  • VIEWDisplay Height: The height of the section plane gizmo in the 3D view. Doesn't affect the resulting view
  • VIEWArrow Size: The size of the arrows of the section plane gizmo in the 3D view. Doesn't affect the resulting view
  • VIEWCut View: If this is true, the whole 3D view will be cut at the location of this section plane (experimental).

Arch SectionPlane ClipView.png

The Arch SectionPlane with the clip view option will behave like a camera, limiting the field of view.


Scrip-Programare

Instrumentul Section Plane poate fi utilizat în macros și de la consola Python utilizând următoarele funcții:

Section = makeSectionPlane(objectslist=None, name="Section")
Creates a Section plane objects including the given objects.

Exempluː

import FreeCAD, Draft, Arch

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(2000, 0, 0)
baseline = Draft.makeLine(p1, p2)
baseline2 = Draft.makeLine(p1, -1*p2)

Wall1 = Arch.makeWall(baseline, length=None, width=150, height=2000)
Wall2 = Arch.makeWall(baseline2, length=None, width=150, height=1800)
Structure = Arch.makeStructure(length=1000, width=1000, height=200)
FreeCAD.ActiveDocument.recompute()

BuildingPart = Arch.makeBuildingPart([Wall1, Wall2])

Floor = Arch.makeFloor([BuildingPart])
Building = Arch.makeBuilding([Floor, Structure])
Site = Arch.makeSite(Building)
FreeCAD.ActiveDocument.recompute()

Section1 = Arch.makeSectionPlane([Wall1, Wall2])
Section2 = Arch.makeSectionPlane([Structure])
Section3 = Arch.makeSectionPlane([Site])
FreeCAD.ActiveDocument.recompute()